Loading...
Searching...
No Matches
Ogre::LodData::VertexHash Struct Reference

Hash function for UniqueVertexSet. More...

`#include <OgreLodData.h>`

## Public Member Functions

| VertexHash ()
| VertexHash (LodData *gen)
size_t | operator() (const Vertex *v) const

## Public Attributes

LodData * | mGen

## Detailed Description

Hash function for UniqueVertexSet.

## Constructor & Destructor Documentation

## VertexHash() [1/2]

Ogre::LodData::VertexHash::VertexHash | ( |  | ) |

inline

References mGen.

## VertexHash() [2/2]

Ogre::LodData::VertexHash::VertexHash | ( | LodData * | gen | ) |

inline

References Ogre::LodData::LodData(), and mGen.

## Member Function Documentation

## operator()()

size_t Ogre::LodData::VertexHash::operator() | ( | const Vertex * | v | ) | const

## Member Data Documentation

## mGen

LodData* Ogre::LodData::VertexHash::mGen

Referenced by VertexHash(), and VertexHash().

The documentation for this struct was generated from the following file:

- OgreLodData.h